<template>
  <el-table v-loading="loading" :data="tableData" height="100%" :stripe="true" class="the-table">
    <el-table-column prop="projectName" label="项目名称" width="200"> </el-table-column>
    <el-table-column prop="time1" label="批复时间" width="80" align="center"> </el-table-column>
    <el-table-column prop="unit" label="建设单位"> </el-table-column>
    <el-table-column prop="time2" label="项目开工" width="95" align="center"> </el-table-column>
    <el-table-column prop="time3" label="初步验收" width="95" align="center"> </el-table-column>
    <el-table-column prop="time4" label="竣工验收" width="95" align="center"> </el-table-column>
    <el-table-column prop="time5" label="决算批复" width="95" align="center"> </el-table-column>
    <el-table-column prop="time6" label="预计完工" width="95" align="center"> </el-table-column>
    <el-table-column prop="unit" label="进度现状" align="center" width="95"></el-table-column>
  </el-table>
</template>

<script>
import dataVRequest from '@/api/dataV.js';

export default {
  data() {
    return {
      loading: true,
      tableData: [
        {
          projectName: '洛阳邮件处理中心工程',
          time1: '2022',
          unit: '郑州',
          time2: '2021.08.30',
          time3: '2021.08.30',
          time4: '2021.08.30',
          time5: '2021.08.30',
          time6: '2021.08.30',
        },
      ],
    };
  },
  created() {
    dataVRequest.queryProjectList().then(res=> {
      console.log('aaa',res);
      this.loading = false;
    })
  }
};
</script>

<style lang="scss" scoped>
.the-table {
  width: 100%;
  height: 100%;
  background-color: #091959;
  font-size: 14px;
  border: 2px solid #0C5EB5;

  ::v-deep {
    tr {
      background-color: #091959;
    }
    th {
      border: 0;
      color: #66a6ff;
      background: linear-gradient(360deg, #293b89 0%, rgba(13, 25, 79, 0) 50%);
    }
    tr.hover-row > td.el-table__cell {
      background-color: #091959;
    }
    .el-table__body tr.el-table__row--striped td.el-table__cell {
      background: linear-gradient(360deg, #293b89 0%, rgba(13, 25, 79, 0) 50%);
    }
    th.el-table__cell.is-leaf,
    .el-table td.el-table__cell {
      border: 0;
    }

    td {
      border: 0;
      color: #E6F8FF;
      padding: 5px 0;
    }
    .el-table__fixed-right-patch {
      width: 10px;
      background: linear-gradient(360deg, #293b89 0%, rgba(13, 25, 79, 0) 50%) #091959;
    }
    .el-table__body-wrapper::-webkit-scrollbar {
      background-color: #091959;
      width: 10px;
    }

    .el-table__fixed-right {
      right: 9px !important;
    }

    .el-table__body-wrapper::-webkit-scrollbar-thumb {
      background-color: #08519e; // 滑块颜色
      border-radius: 100px; // 滑块圆角
    }
    .el-table__fixed::before,
    .el-table__fixed-right::before {
      display: none;
    }
    .el-table__body-wrapper::-webkit-scrollbar-corner {
      background-color: #091959; // 滑块颜色
    }

    .el-button--small {
      font-size: 14px;
    }

    .el-table__body tr:hover>td.el-table__cell {
      background-color: #091959;
    }
    .cell {
      line-height: 18px;
    }
  }
}
</style>
